Skip to main content
POST
/
v1
/
register
Register
curl --request POST \
  --url https://api.polydata.live/v1/register \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>"
}
'
{
  "success": true,
  "data.api_key": "<string>",
  "data.plan": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.polydata.live/llms.txt

Use this file to discover all available pages before exploring further.

Creates a new user account. No email/password required — your API key is your identity.

Body

email
string
Optional contact email for billing notifications.

Response

success
boolean
data.api_key
string
Your API key. Format: pd_live_xxxxxxxx. Save this — it cannot be recovered.
data.plan
string
Your initial plan. Always free after registration.

Example

curl -X POST https://api.polydata.live/v1/register \
  -H "Content-Type: application/json" \
  -d '{"email": "you@example.com"}'

Sample response

{
  "success": true,
  "data": {
    "api_key": "pd_live_IlYsplffUpdHUWIDxYhLEsbVTkxch608Ge6bH3-kh5c",
    "plan": "free",
    "message": "Save your API key securely. Use it as Bearer token in Authorization header.",
    "example": "curl -H 'Authorization: Bearer pd_live_...' https://api.polydata.live/v1/me"
  }
}